---
title: "1.17.0 - Release Candidate"
linkTitle: "1.17.0-rc"
date: "2021-08-26"
---

This is the 1.17.0-rc release of Agones.

This release brings us support for Kubernetes 1.20, so if you are testing this release candidate, remember to upgrade your clusters.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.17.0-rc" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Upgrade to Kubernetes 1.20 [\#2186](https://github.com/googleforgames/agones/issues/2186)
- Upgrade client-go to v0.20.9. [\#2194](https://github.com/googleforgames/agones/pull/2194) ([roberthbailey](https://github.com/roberthbailey))

**Implemented enhancements:**

- Pass game port to container as env variable [\#2201](https://github.com/googleforgames/agones/issues/2201)
- Configurable custom resync period for FleetAutoscaler [\#1955](https://github.com/googleforgames/agones/issues/1955)
- Docs: Player Capacity Integration Pattern [\#2229](https://github.com/googleforgames/agones/pull/2229) ([markmandel](https://github.com/markmandel))
- Docs: Canary Testing Integration Pattern [\#2227](https://github.com/googleforgames/agones/pull/2227) ([markmandel](https://github.com/markmandel))
- Create "Integration Patterns" section in docs [\#2215](https://github.com/googleforgames/agones/pull/2215) ([markmandel](https://github.com/markmandel))
- Update the GameServerAllocation Specification to remove required/pref… [\#2206](https://github.com/googleforgames/agones/pull/2206) ([cindy52](https://github.com/cindy52))
- Update proto and allocator for advanced allocation [\#2199](https://github.com/googleforgames/agones/pull/2199) ([markmandel](https://github.com/markmandel))
- GSA: Advanced Filtering via resource API [\#2188](https://github.com/googleforgames/agones/pull/2188) ([markmandel](https://github.com/markmandel))
- Upgrade terraform to Kubernetes 1.20. [\#2187](https://github.com/googleforgames/agones/pull/2187) ([roberthbailey](https://github.com/roberthbailey))
- Allow disabling of all allocator secrets in helm chart [\#2177](https://github.com/googleforgames/agones/pull/2177) ([sudermanjr](https://github.com/sudermanjr))
- Custom fleet autoscaler resync interval [\#2171](https://github.com/googleforgames/agones/pull/2171) ([jie-bao](https://github.com/jie-bao))
- GSA: Switch LabelSelector to GameServerSelector [\#2166](https://github.com/googleforgames/agones/pull/2166) ([markmandel](https://github.com/markmandel))

**Security fixes:**

- Update dev dependencies and audit fix security warning [\#2233](https://github.com/googleforgames/agones/pull/2233) ([steven-supersolid](https://github.com/steven-supersolid))
- Update github.com/gorilla/websocket to address CVE-2020-27813. [\#2195](https://github.com/googleforgames/agones/pull/2195) ([roberthbailey](https://github.com/roberthbailey))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.17.0-rc/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.17.0-rc](https://gcr.io/agones-images/agones-controller:1.17.0-rc)
- [gcr.io/agones-images/agones-sdk:1.17.0-rc](https://gcr.io/agones-images/agones-sdk:1.17.0-rc)
- [gcr.io/agones-images/agones-ping:1.17.0-rc](https://gcr.io/agones-images/agones-ping:1.17.0-rc)
- [gcr.io/agones-images/agones-allocator:1.17.0-rc](https://gcr.io/agones-images/agones-allocator:1.17.0-rc)
- [gcr.io/agones-images/autoscaler-webhook:0.3](https://gcr.io/agones-images/autoscaler-webhook:0.3)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/crd-client:0.5](https://gcr.io/agones-images/crd-client:0.5)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.9](https://gcr.io/agones-images/rust-simple-server:0.9)
- [gcr.io/agones-images/simple-game-server:0.3](https://gcr.io/agones-images/simple-game-server:0.3)
- [gcr.io/agones-images/supertuxkart-example:0.3](https://gcr.io/agones-images/supertuxkart-example:0.3)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.17.0-rc.tgz" >
  <code>helm install agones agones/agones --version 1.17.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`

