---
title: "1.19.0 - Kubernetes 1.21, SDKWatchSendOnExecute to stable, NodeExternalDNS to beta, Terraform 1.0"
linkTitle: "1.19.0"
date: "2021-11-23"
---

This is the 1.19.0 release of Agones.

This release brings us support for Kubernetes 1.21, so if you are installing this release, remember to upgrade your clusters.

The `SDKWatchSendOnExecute` feature has graduated to stable! And the feature `NodeExternalDNS` moved from alpha to beta and is enabled by default.

Terraform is upgraded to 1.0.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.19.0">README</a> for details on features, installation and usage.


**Breaking changes:**

- Upgrade to Kubernetes 1.21 [\#2311](https://github.com/googleforgames/agones/issues/2311)
- Move NodeExternalDNS to Beta [\#2240](https://github.com/googleforgames/agones/issues/2240)
- Upgrade client-go to v0.21.5. [\#2333](https://github.com/googleforgames/agones/pull/2333) ([roberthbailey](https://github.com/roberthbailey))
- Upgrade terraform to Kubernetes 1.21. [\#2326](https://github.com/googleforgames/agones/pull/2326) ([roberthbailey](https://github.com/roberthbailey))

**Implemented enhancements:**

- allow passing certificates as values instead of files in the Helm chart [\#2364](https://github.com/googleforgames/agones/issues/2364)
- Move SDK sidecar to first position in container list [\#2355](https://github.com/googleforgames/agones/issues/2355)
- Unity package for Unity SDK [\#2338](https://github.com/googleforgames/agones/issues/2338)
- Prometheus metrics: Use ServiceMonitor instead of deprecated annotation mechanism [\#2262](https://github.com/googleforgames/agones/issues/2262)
- Sidecar REST endpoint should return 400 if healthcheck body is empty [\#2256](https://github.com/googleforgames/agones/issues/2256)
- Move SDKWatchSendOnExecute to Stable [\#2238](https://github.com/googleforgames/agones/issues/2238)
- Upgrade Terraform to 1.0 [\#2142](https://github.com/googleforgames/agones/issues/2142)
- NodeExternalDNS moved to beta [\#2369](https://github.com/googleforgames/agones/pull/2369) ([SaitejaTamma](https://github.com/SaitejaTamma))
- expose Helm chart values for custom certs [\#2367](https://github.com/googleforgames/agones/pull/2367) ([rahil-p](https://github.com/rahil-p))
- Move the agones sidecar containers to the beginning of the list of containers [\#2357](https://github.com/googleforgames/agones/pull/2357) ([roberthbailey](https://github.com/roberthbailey))
- SDKWatchSendOnExecute to Stable [\#2353](https://github.com/googleforgames/agones/pull/2353) ([SaitejaTamma](https://github.com/SaitejaTamma))
- Update alpine version to 3.14 [\#2345](https://github.com/googleforgames/agones/pull/2345) ([SaitejaTamma](https://github.com/SaitejaTamma))
- Support Unity Package Manager [\#2343](https://github.com/googleforgames/agones/pull/2343) ([aaronchapin-tocaboca](https://github.com/aaronchapin-tocaboca))
- Add a flag to the simple game server so that it can have a delay before marking itself ready [\#2340](https://github.com/googleforgames/agones/pull/2340) ([roberthbailey](https://github.com/roberthbailey))
- Add ability to specify annotations for the SDK service account [\#2317](https://github.com/googleforgames/agones/pull/2317) ([highlyunavailable](https://github.com/highlyunavailable))
- Add error callback to WatchGameServer in Node.js SDK  [\#2315](https://github.com/googleforgames/agones/pull/2315) ([steven-supersolid](https://github.com/steven-supersolid))
- Prometheus metrics: Use ServiceMonitor instead of deprecated annotation mechanism [\#2290](https://github.com/googleforgames/agones/pull/2290) ([zifter](https://github.com/zifter))


See <a href="https://github.com/googleforgames/agones/blob/release-1.19.0/CHANGELOG.md">CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.19.0](https://gcr.io/agones-images/agones-controller:1.19.0)
- [gcr.io/agones-images/agones-sdk:1.19.0](https://gcr.io/agones-images/agones-sdk:1.19.0)
- [gcr.io/agones-images/agones-ping:1.19.0](https://gcr.io/agones-images/agones-ping:1.19.0)
- [gcr.io/agones-images/agones-allocator:1.19.0](https://gcr.io/agones-images/agones-allocator:1.19.0)
- [gcr.io/agones-images/autoscaler-webhook:0.4](https://gcr.io/agones-images/autoscaler-webhook:0.4)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/crd-client:0.6](https://gcr.io/agones-images/crd-client:0.6)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.9](https://gcr.io/agones-images/rust-simple-server:0.9)
- [gcr.io/agones-images/simple-game-server:0.5](https://gcr.io/agones-images/simple-game-server:0.5)
- [gcr.io/agones-images/supertuxkart-example:0.4](https://gcr.io/agones-images/supertuxkart-example:0.4)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)
Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.19.0.tgz">
  <code>helm install agones agones/agones --version 1.19.0</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
